package com.uas.platform.b2b.mobile.service;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.WorkDaily;

public interface WorkDailyService {

	/**
	 * 保存工作日报
	 * 
	 * @param workDaily
	 * @return
	 */
	public ModelMap saveWorkDaily(WorkDaily workDaily);

	/**
	 * 获取工作日报
	 * 
	 * @param emcode
	 * @param pageNumber
	 * @param pageSize
	 * @param enuu
	 * @return
	 */
	public ModelMap getWorkDaily(Long emcode, Integer pageNumber, Integer pageSize, Long enuu);

	/**
	 * 通过id删除
	 * 
	 * @param id
	 * @return
	 */
	public ModelMap deleteById(Long id);

	/**
	 * 通过id看详情
	 * 
	 * @param id
	 * @return
	 */
	public WorkDaily getById(Long id);
}
